Get all schemas
curl --request GET \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/media-bridge/2026-03/{appId}/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Schemas
Get all schemas
Get the schemas for all object types.
GET
/
media-bridge
/
2026-03
/
{appId}
/
schemas
Get all schemas
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Whether to return only results that have been archived.
Response
successful operation
Show child attributes
Show child attributes
Last modified on March 31, 2026
Was this page helpful?
⌘I